import java.io.*;
import java.util.*;

public class Main {
    public static void main(String[] args) throws IOException {
        int t = nextInt();
        for (int q = 0; q < t; q++) {
            int n = nextInt();
            int a = nextInt();
            int b = nextInt();
            int ans = 0;
            if (b > a){
                int c = b;
                b = a;
                a = c;
            }
            for (int i = n; i <= a+b; i += n) {
                int j = Math.max(i - b, 0);
                if (j <= Math.min(a,i)) {
                    ans += Math.min(i, a) - j+1;
                }
            }
            out.println(ans);
        }
        out.close();
    }
    static long pow(int b, int a){
        long ans1 = 1;
        while(a>0){
            ans1 *= b;
            ans1 %= 1_000_000_007;
            a--;
        }
        return ans1;
    }
    static int gcd(int a, int b){
        if (a < b){
            int c = a;
            a = b;
            b = c;
        }
        while(a % b != 0){
            a %= b;
            if (a < b){
                int c = a;
                a = b;
                b = c;
            }
        }
        return b;
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");
    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }
    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }
    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }
    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }
    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}
class O implements Comparable<O>{
    int a;
    int b;
    double c;
    public O(int a, int b, double c) {
        this.a = a;
        this.b = b;
        this.c = c;
    }
    @Override
    public int compareTo(O o) {
        return Double.compare(c, o.c);
    }
}
