import java.io.*;
import java.util.*;
public class Main {
    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int f = nextInt();
        long[] d = new long[n];
        if (f == 1){
            for (int i = 0; i < n; i++) {
                d[i] = nextInt();
            }
        } else {
            int m = nextInt();
            int x = nextInt();
            int y = nextInt();
            int z = nextInt();
            for (int i = 0; i < m; i++) {
                d[i] = nextInt();
            }
            for (int i = m; i < n; i++) {
                d[i] = (d[i-2]*x + d[i-1]*y + z) % 1_000_000_000;
                d[i] ++;
            }
        }
        long[][] a = new long[n][n];
        long l = 0;
        int idx = 0;
        for (int i = 0; i < n; i++) {
            l = 0;
            for (int j = 0; j < n; j++) {
                a[i][j] = l - d[(j + i) % n];
                l++;
            }
            Arrays.sort(a[i]);
        }
        long max = Long.MIN_VALUE;
        for (int i = 0; i < n; i++) {
            if (max < a[i][0]){
                max = a[i][0];
                idx = i;
            }
        }
        out.println(Math.abs(max) + " " + (idx+1));
        out.close();
    }
    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");
    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }
    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }
    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }
    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }
    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}