import java.util.Arrays;
import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner sc = new Scanner(System.in);
        int n = sc.nextInt();
        int q = sc.nextInt();
        int[] a = new int[n];
        O[] c = new O[n*n];
        int idx = 0;
        for (int i = 0; i < n; i++) {
            a[i] = sc.nextInt();
        }
        for (int i = 0; i < n; i++) {
            int b = sc.nextInt();
            for (int j = 0; j < n; j++) {
                c[idx] = new O(a[j], b, (double)a[j]/b);
                idx++;
            }
        }
        Arrays.sort(c);
        for (int i = 0; i < q; i++) {
            int qi = sc.nextInt()-1;
            int gg = gcd(c[qi].a, c[qi].b);
            System.out.println((c[qi].a/gg) + " " + (c[qi].b/gg));
        }
    }
    static long ans;
    static int n;
    static void f(int b, int r, int l){
        if (l == n || b <= 0 || r <= 0){
            ans ++;
            ans %= 1_000_000_007;
            return;
        }
        f(b-1, r, l+1);
        f(b, r-1, l+1);
    }
    static long pow(int b, int a){
        long ans1 = 1;
        while(a>0){
            ans1 *= b;
            ans1 %= 1_000_000_007;
            a--;
        }
        return ans1;
    }
    static int gcd(int a, int b){
        if (a < b){
            int c = a;
            a = b;
            b = c;
        }
        while(a % b != 0){
            a %= b;
            if (a < b){
                int c = a;
                a = b;
                b = c;
            }
        }
        return b;
    }
}
class O implements Comparable<O>{
    int a;
    int b;
    double c;
    public O(int a, int b, double c) {
        this.a = a;
        this.b = b;
        this.c = c;
    }
    @Override
    public int compareTo(O o) {
        return Double.compare(c, o.c);
    }
}
