import java.io.*;
import java.util.*;

public class Main {
    public static void main(String[] args) throws IOException {
        int n = nextInt();
        int k = nextInt();
        long cnt = 0;
        long cost = 0;
        int[] a = new int[n];
        Set<Integer> s = new TreeSet<>();
        int[] w = new int[n];
        for (int i = 1; i < n; i++) {
            int ai = nextInt()-1;
            int wi = nextInt();
            a[i]=ai;
            w[i-1] = wi;
        }
        for (int i = 0; i < n; i++) s.add(i);
        for (int i = 0; i < n; i++) s.remove(a[i]);
        Integer[] u = new Integer[s.size()];
        s.toArray(u);
        ArrayList<Integer>[] al = new ArrayList[n];
        for (int i = 0; i < n; i++) {
            al[i] = new ArrayList<Integer>();
        }
        Queue<Integer> q = new LinkedList(Arrays.asList(u));
        boolean[] used = new boolean[n];
        while(!q.isEmpty()){
            int x = q.poll();
            if (al[a[x]].size()<k){
                al[a[x]].add(w[x]);
                cnt ++;
                cost += w[x];
            } else if (al[a[x]].get(0)>w[x]){
                cost-=al[a[x]].remove(al[a[x]].size()-1);
                al[a[x]].add(w[x]);
                cost+=w[x];
            }
            Collections.sort(al[a[x]]);
            if (!used[a[x]]){
                q.add(a[x]);
                used[x] = true;
            }
        }
        out.println(cnt + " " + cost);
        out.close();
    }
    static long pow(int b, int a){
        long ans1 = 1;
        while(a>0){
            ans1 *= b;
            ans1 %= 1_000_000_007;
            a--;
        }
        return ans1;
    }
    static int gcd(int a, int b){
        if (a < b){
            int c = a;
            a = b;
            b = c;
        }
        while(a % b != 0){
            a %= b;
            if (a < b){
                int c = a;
                a = b;
                b = c;
            }
        }
        return b;
    }

    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");
    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }
    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }
    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }
    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }
    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}
class O implements Comparable<O>{
    int a;
    int b;
    double c;
    public O(int a, int b, double c) {
        this.a = a;
        this.b = b;
        this.c = c;
    }
    @Override
    public int compareTo(O o) {
        return Double.compare(c, o.c);
    }
}
