import java.io.*;
import java.util.*;

public class Main {

    public static void main(String[] args) throws IOException {
        int n = nextInt();
        long x = nextLong();
        long y = nextLong();
        for (int i = 1; i < n; i++) {
            long a = nextLong();
            long b = nextLong();
            x = nok(x,a);
            y = nod(y,b);
        }
        out.println(x + " " + y);
        out.close();
    }
    static long nod(long x, long a){
        while (true) {
            if (x % a == 0) {
                return a;
            }
            if (a > x) {
                long f = a;
                a = x;
                x = f;
            }
            x %= a;
        }
    }
    static long nok(long y, long b){
        long ans = nod(y, b);
        return y * b / ans;
    }
    static BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
    static PrintWriter out = new PrintWriter(System.out);
    static StringTokenizer in = new StringTokenizer("");
    public static boolean hasNext() throws IOException {
        if (in.hasMoreTokens()) return true;
        String s;
        while ((s = br.readLine()) != null) {
            in = new StringTokenizer(s);
            if (in.hasMoreTokens()) return true;
        }
        return false;
    }
    public static String nextToken() throws IOException {
        while (!in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }
    public static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }
    public static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }
    public static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
}